Skip to main content
GET
/
api
/
v1
/
invoices
/
my
List Invoices
curl --request GET \
  --url https://api.example.com/api/v1/invoices/my

List Invoices

Returns a paginated list of your invoices.

Query parameters

page
number
default:"1"
Page number
status
string
Filter by status: pending, paid, delegated, expired, failed

Response

Returns a paginated object with invoices array and total count.

Example

curl "https://api.tronrental.com/v1/invoices/my?page=1&status=delegated" \
  -H "X-API-Key: your_api_key"
Response
{
  "invoices": [
    {
      "invoice_id": 789,
      "payment_address": "TPaymentAddress...",
      "address": "TRecipientAddress...",
      "energy_amount": 65000,
      "duration_hours": 1,
      "price_trx": "2.75",
      "price_usdt": "0.64",
      "status": "delegated",
      "created_at": "2026-03-05T12:00:00Z"
    }
  ],
  "total": 1,
  "page": 1,
  "pages": 1
}